package de.uni_mannheim.informatik.dws.semtec;

import org.apache.jena.rdf.model.InfModel;
import org.apache.jena.rdf.model.Model;
import org.apache.jena.rdf.model.ModelFactory;
import org.apache.jena.riot.Lang;
import org.apache.jena.riot.RDFDataMgr;

public class RdfsReasoning {

    public static void main(String[] args) {
        //Create a RDF graph based on a file
        //you could also try out data.ttl
        //all files are in src/main/resources
        Model model = RDFDataMgr.loadModel("data_peter.ttl");

        //if you want to write it to a file, then do
        //RDFDataMgr.write(new FileOutputStream("output.txt"), model, Lang.TURTLE);
        //you should then also close the stream! (leaft out for simplicity)
        RDFDataMgr.write(System.out, model, Lang.TURTLE);

        System.out.println("===================================================");
        System.out.println("================== derived Facts ==================");
        System.out.println("===================================================");

        //create a inference model (in this case a RDFS inference)
        //then all inferred triple are contained in "inf model"
        InfModel inf = ModelFactory.createRDFSModel(model);

        RDFDataMgr.write(System.out, inf, Lang.TURTLE);
    }
}
